<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@100082=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Player Select Time">
    <script state="run">
      <action>maincpu.pb@10011D=0B</action>
    </script>
  </cheat>

  <cheat desc="Infinite Continue Time">
    <script state="run">
      <action>maincpu.pb@100123=09</action>
    </script>
  </cheat>

  <cheat desc="Select Start Stage"> <comment>Enable this cheat on the player select screen</comment>
    <parameter>
      <item value="0x00">Loop 1 Stage 1</item>
      <item value="0x01">Loop 1 Stage 2</item>
      <item value="0x02">Loop 1 Stage 3</item>
      <item value="0x03">Loop 1 Stage 4</item>
      <item value="0x04">Loop 1 Stage 5</item>
      <item value="0x05">Loop 1 Stage 6</item>
      <item value="0x06">Loop 2 Stage 1</item>
      <item value="0x07">Loop 2 Stage 2</item>
      <item value="0x08">Loop 2 Stage 3</item>
      <item value="0x09">Loop 2 Stage 4</item>
      <item value="0x0A">Loop 2 Stage 5</item>
      <item value="0x0B">Loop 2 Stage 6</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@100093=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@10BB96=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@10BB97=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>Turn this cheat OFF before you finish a stage or the game will crash!!</comment>
    <script state="run">
      <action>maincpu.pb@10BB8D=03</action>
    </script>
  </cheat>

  <cheat desc="Always Max Shot Power PL1">
    <script state="run">
      <action>maincpu.pb@10BB7A=05</action>
    </script>
  </cheat>

  <cheat desc="Select Sub Weapon PL1">
    <parameter>
      <item value="0x00">No Sub Weapon</item>
      <item value="0x01">Missile</item>
      <item value="0x02">Homing Missile</item>
      <item value="0x03">Shot Gun</item>
      <item value="0x04">Craker</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@10BB79=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@10BB6A=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@10BB6B=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>Turn this cheat OFF before you finish a stage or the game will crash!!</comment>
    <script state="run">
      <action>maincpu.pb@10BB61=03</action>
    </script>
  </cheat>

  <cheat desc="Always Max Shot Power PL2">
    <script state="run">
      <action>maincpu.pb@10BB4E=05</action>
    </script>
  </cheat>

  <cheat desc="Select Sub Weapon PL2">
    <parameter>
      <item value="0x00">No Sub Weapon</item>
      <item value="0x01">Missile</item>
      <item value="0x02">Homing Missile</item>
      <item value="0x03">Shot Gun</item>
      <item value="0x04">Craker</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@10BB4D=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
